<mat-card class="payment-container">
    <section class="checkout-payment">
      <div class="payment-form">
        <mat-card-title class="title"><h4>Payment</h4></mat-card-title>
      <form class="payment-form" *ngIf="paymentDetails === null || !defaultPayment" [formGroup]="paymentForm">
          <mat-form-field class="common-field type-field ">
              <mat-label>Payment Type</mat-label>
              <mat-select formControlName="cardType">
                <mat-option *ngFor="let name of cardType" [value]="name">
                  {{name}}
                </mat-option>
              </mat-select>
              <mat-error *ngFor="let validation of validationMessages.cardType">
                <mat-error class="error-message" *ngIf="  
                paymentForm.get('cardType').hasError(validation.type) &&
                    (paymentForm.get('cardType').dirty ||
                    paymentForm.get('cardType').touched)">{{ validation.message }}</mat-error>
              </mat-error>
            </mat-form-field>
          <mat-form-field class="common-field name-field" appearance="standard">
          <mat-label>Account Holder Name</mat-label>
          <input matInput placeholder="" value="" formControlName="name" required autocomplete="off" />
          <mat-error *ngFor="let validation of validationMessages.name">
              <mat-error class="error-message" *ngIf="
              paymentForm.get('name').hasError(validation.type) &&
                  (paymentForm.get('name').dirty ||
                  paymentForm.get('name').touched)">{{ validation.message }}</mat-error>
            </mat-error>
        </mat-form-field>
        <mat-form-field class="common-field card-field " appearance="standard">      
          <mat-label>Card Number</mat-label>
          <input type="number" matInput placeholder="" value="" formControlName="cardNumber" required autocomplete="off" />
          <mat-error *ngFor="let validation of validationMessages.cardNumber">
            <mat-error class="error-message" *ngIf="  
            paymentForm.get('cardNumber').hasError(validation.type) &&
                (paymentForm.get('cardNumber').dirty ||
                paymentForm.get('cardNumber').touched)">{{ validation.message }}</mat-error>
          </mat-error>
        </mat-form-field>
        <div>
          <mat-form-field class="common-field month-field ">
              <mat-label>Month</mat-label>
              <mat-select name="month" formControlName="expMonth">
                <mat-option *ngFor="let month of expMonth" [value]="month" >
                  {{month}}
                </mat-option>
              </mat-select>
              <mat-error *ngFor="let validation of validationMessages.expMonth">
                <mat-error class="error-message" *ngIf="  
                paymentForm.get('expMonth').hasError(validation.type) &&
                    (paymentForm.get('expMonth').dirty ||
                    paymentForm.get('expMonth').touched)">{{ validation.message }}</mat-error>
              </mat-error>
            </mat-form-field>
            <mat-form-field class="common-field year-field ">
              <mat-label>Year</mat-label>
              <mat-select name="year" formControlName="expYear">
                <mat-option *ngFor="let year of expYear" [value]="year">
                  {{year}}
                </mat-option>
              </mat-select>
              <mat-error *ngFor="let validation of validationMessages.expYear">
                <mat-error class="error-message" *ngIf="  
                paymentForm.get('expYear').hasError(validation.type) &&
                    (paymentForm.get('expYear').dirty ||
                    paymentForm.get('expYear').touched)">{{ validation.message }}</mat-error>
              </mat-error>
            </mat-form-field>
            <mat-form-field class="common-field cvv-field " appearance="standard">      
              <mat-label>CVV</mat-label>
              <input type="number" matInput placeholder="" value="" formControlName="cvvNumber" required autocomplete="off" />
              <mat-error *ngFor="let validation of validationMessages.cvvNumber">
                <mat-error class="error-message" *ngIf="  
                paymentForm.get('cvvNumber').hasError(validation.type) &&
                    (paymentForm.get('cvvNumber').dirty ||
                    paymentForm.get('cvvNumber').touched)">{{ validation.message }}</mat-error>
              </mat-error>
            </mat-form-field>
          </div>
          <div class="terms-and-condition">
            <mat-checkbox class="default-set" [value]="setAsDefault" (change)="setTerms($event)"></mat-checkbox>
            <span>I am confirming that i have read and agree with the <a>Terms and conditions</a></span>
          </div>
      </form>
      </div>
      <div class="order-summary">
        <ng-content></ng-content>
      </div>
    </section>
    <section class="payment-btn">
      <button mat-raised-button [disabled]="!paymentForm.valid" class="submit-btn" (click)="onSubmitPaymentDetails(paymentForm.value)">
        Place Order
      </button>
    </section>
    </mat-card>
    